
Redmine - Defect #9619

Time zone ignored when logging time while editing ticket

2011-11-21 01:16 - Mario Lipinski

Status: Closed Start date: 2011-11-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.2.1

Description

When logging time via the links "Log time" on the individual page for time logging, the date field gets filled correctly with the date of

the time zone.

However, when logging time while editing a ticket, there is not date field and when logging time it seems like the timezone of the

server is used.

Possible fixes would be to add a date field to the "Log time" section of the edit screen and have it prefilled with the current date in the

users time zone. Or the server should calculate the logged date based on the users time zone when the form is submitted.

Thx.

Related issues:

Related to Redmine - Defect #4160: Pre-filled time tracking date ignores time... Closed 2009-11-03

Associated revisions

Revision 7918 - 2011-11-24 21:39 - Jean-Philippe Lang

Use user's time zone when logging time while editing ticket (#9619).

History

#1 - 2011-11-22 21:40 - Mischa The Evil

- Category changed from Issues to Time tracking

Mario Lipinski wrote:

[...] the date field gets filled correctly with the date of the time zone.

 This was already fixed in r3012 for #4160. Prior behavior also ignored the users timezone.

Possible fixes would be to add a date field to the "Log time" section of the edit screen and have it prefilled with the current date in the users time

zone. Or the server should calculate the logged date based on the users time zone when the form is submitted.

 I'd vote for the second option.

#2 - 2011-11-23 08:09 - Jean-Philippe Lang

- Status changed from New to Confirmed

#3 - 2011-11-24 21:39 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

Fixed in r7918.
